<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>Location (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Location (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/util/LocatedBlock.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/util/PropertiesConfiguration.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/util/Location.html" target="_top">Frames</a></li>
<li><a href="Location.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.util</div>
<h2 title="Class Location" class="title">Class Location</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.util.Location</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Location</span>
extends java.lang.Object</pre>
<div class="block">Represents a location in a world with has a direction.

 <p>Like <code>Vectors</code>, <code>Locations</code> are immutable and mutator methods
 will create a new copy.</p>

 <p>At the moment, but this may change in the future, <a href="../../../../com/sk89q/worldedit/util/Location.html#hashCode--"><code>hashCode()</code></a> and
 <a href="../../../../com/sk89q/worldedit/util/Location.html#equals-java.lang.Object-"><code>equals(Object)</code></a> are subject to minor differences caused by
 floating point errors.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#Location-com.sk89q.worldedit.extent.Extent-">Location</a></span>(<a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent)</code>
<div class="block">Create a new instance in the given extent at 0, 0, 0 with a
 direction vector of 0, 0, 0.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#Location-com.sk89q.worldedit.extent.Extent-double-double-double-">Location</a></span>(<a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent,
        double&nbsp;x,
        double&nbsp;y,
        double&nbsp;z)</code>
<div class="block">Create a new instance in the given extent with the given coordinates
 with a direction vector of 0, 0, 0.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#Location-com.sk89q.worldedit.extent.Extent-double-double-double-float-float-">Location</a></span>(<a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent,
        double&nbsp;x,
        double&nbsp;y,
        double&nbsp;z,
        float&nbsp;yaw,
        float&nbsp;pitch)</code>
<div class="block">Create a new instance in the given extent with the given coordinates
 and the given direction vector.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#Location-com.sk89q.worldedit.extent.Extent-double-double-double-com.sk89q.worldedit.math.Vector3-">Location</a></span>(<a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent,
        double&nbsp;x,
        double&nbsp;y,
        double&nbsp;z,
        <a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;direction)</code>
<div class="block">Create a new instance in the given extent with the given coordinates
 and the given direction vector.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#Location-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.math.Vector3-">Location</a></span>(<a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent,
        <a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;position)</code>
<div class="block">Create a new instance in the given extent with the given position
 vector and a direction vector of 0, 0, 0.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#Location-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.math.Vector3-float-float-">Location</a></span>(<a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent,
        <a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;position,
        float&nbsp;yaw,
        float&nbsp;pitch)</code>
<div class="block">Create a new instance in the given extent with the given position vector
 and the given direction vector.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#Location-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.math.Vector3-">Location</a></span>(<a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent,
        <a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;position,
        <a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;direction)</code>
<div class="block">Create a new instance in the given extent with the given position vector
 and the given direction vector.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#getBlockX--">getBlockX</a></span>()</code>
<div class="block">Get the rounded X component of the position vector.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#getBlockY--">getBlockY</a></span>()</code>
<div class="block">Get the rounded Y component of the position vector.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#getBlockZ--">getBlockZ</a></span>()</code>
<div class="block">Get the rounded Z component of the position vector.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#getDirection--">getDirection</a></span>()</code>
<div class="block">Get the direction vector.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#getDirectionEnum--">getDirectionEnum</a></span>()</code>
<div class="block">Get the direction as a <a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util"><code>Direction</code></a>.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#getExtent--">getExtent</a></span>()</code>
<div class="block">Get the extent.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#getPitch--">getPitch</a></span>()</code>
<div class="block">Get the pitch in degrees.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#getX--">getX</a></span>()</code>
<div class="block">Get the X component of the position vector.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#getY--">getY</a></span>()</code>
<div class="block">Get the Y component of the position vector.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#getYaw--">getYaw</a></span>()</code>
<div class="block">Get the yaw in degrees.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#getZ--">getZ</a></span>()</code>
<div class="block">Get the Z component of the position vector.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#setDirection-float-float-">setDirection</a></span>(float&nbsp;yaw,
            float&nbsp;pitch)</code>
<div class="block">Create a clone of this object with the given yaw and pitch.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#setDirection-com.sk89q.worldedit.math.Vector3-">setDirection</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;direction)</code>
<div class="block">Create a clone of this object with the given direction.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#setExtent-com.sk89q.worldedit.extent.Extent-">setExtent</a></span>(<a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent)</code>
<div class="block">Create a clone of this object with the given extent.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#setPitch-float-">setPitch</a></span>(float&nbsp;pitch)</code>
<div class="block">Create a clone of this object with the given pitch.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#setPosition-com.sk89q.worldedit.math.Vector3-">setPosition</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;position)</code>
<div class="block">Return a copy of this object with the position set to the given value.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#setX-double-">setX</a></span>(double&nbsp;x)</code>
<div class="block">Return a copy of this object with the X component of the new object
 set to the given value.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#setY-double-">setY</a></span>(double&nbsp;y)</code>
<div class="block">Return a copy of this object with the Y component of the new object
 set to the given value.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#setYaw-float-">setYaw</a></span>(float&nbsp;yaw)</code>
<div class="block">Create a clone of this object with the given yaw.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#setZ-double-">setZ</a></span>(double&nbsp;z)</code>
<div class="block">Return a copy of this object with the Z component of the new object
 set to the given value.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/util/Location.html#toVector--">toVector</a></span>()</code>
<div class="block">Get a <a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math"><code>Vector3</code></a> form of this location's position.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Location-com.sk89q.worldedit.extent.Extent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Location</h4>
<pre>public&nbsp;Location(<a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent)</pre>
<div class="block">Create a new instance in the given extent at 0, 0, 0 with a
 direction vector of 0, 0, 0.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>extent</code> - the extent</dd>
</dl>
</li>
</ul>
<a name="Location-com.sk89q.worldedit.extent.Extent-double-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Location</h4>
<pre>public&nbsp;Location(<a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent,
                double&nbsp;x,
                double&nbsp;y,
                double&nbsp;z)</pre>
<div class="block">Create a new instance in the given extent with the given coordinates
 with a direction vector of 0, 0, 0.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>extent</code> - the extent</dd>
<dd><code>x</code> - the X coordinate</dd>
<dd><code>y</code> - the Y coordinate</dd>
<dd><code>z</code> - the Z coordinate</dd>
</dl>
</li>
</ul>
<a name="Location-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Location</h4>
<pre>public&nbsp;Location(<a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent,
                <a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;position)</pre>
<div class="block">Create a new instance in the given extent with the given position
 vector and a direction vector of 0, 0, 0.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>extent</code> - the extent</dd>
<dd><code>position</code> - the position vector</dd>
</dl>
</li>
</ul>
<a name="Location-com.sk89q.worldedit.extent.Extent-double-double-double-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Location</h4>
<pre>public&nbsp;Location(<a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent,
                double&nbsp;x,
                double&nbsp;y,
                double&nbsp;z,
                <a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;direction)</pre>
<div class="block">Create a new instance in the given extent with the given coordinates
 and the given direction vector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>extent</code> - the extent</dd>
<dd><code>x</code> - the X coordinate</dd>
<dd><code>y</code> - the Y coordinate</dd>
<dd><code>z</code> - the Z coordinate</dd>
<dd><code>direction</code> - the direction vector</dd>
</dl>
</li>
</ul>
<a name="Location-com.sk89q.worldedit.extent.Extent-double-double-double-float-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Location</h4>
<pre>public&nbsp;Location(<a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent,
                double&nbsp;x,
                double&nbsp;y,
                double&nbsp;z,
                float&nbsp;yaw,
                float&nbsp;pitch)</pre>
<div class="block">Create a new instance in the given extent with the given coordinates
 and the given direction vector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>extent</code> - the extent</dd>
<dd><code>x</code> - the X coordinate</dd>
<dd><code>y</code> - the Y coordinate</dd>
<dd><code>z</code> - the Z coordinate</dd>
<dd><code>yaw</code> - the yaw, in degrees</dd>
<dd><code>pitch</code> - the pitch, in degrees</dd>
</dl>
</li>
</ul>
<a name="Location-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.math.Vector3-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Location</h4>
<pre>public&nbsp;Location(<a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent,
                <a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;position,
                <a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;direction)</pre>
<div class="block">Create a new instance in the given extent with the given position vector
 and the given direction vector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>extent</code> - the extent</dd>
<dd><code>position</code> - the position vector</dd>
<dd><code>direction</code> - the direction vector</dd>
</dl>
</li>
</ul>
<a name="Location-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.math.Vector3-float-float-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Location</h4>
<pre>public&nbsp;Location(<a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent,
                <a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;position,
                float&nbsp;yaw,
                float&nbsp;pitch)</pre>
<div class="block">Create a new instance in the given extent with the given position vector
 and the given direction vector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>extent</code> - the extent</dd>
<dd><code>position</code> - the position vector</dd>
<dd><code>yaw</code> - the yaw, in degrees</dd>
<dd><code>pitch</code> - the pitch, in degrees</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getExtent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExtent</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;getExtent()</pre>
<div class="block">Get the extent.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the extent</dd>
</dl>
</li>
</ul>
<a name="setExtent-com.sk89q.worldedit.extent.Extent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExtent</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;setExtent(<a href="../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent)</pre>
<div class="block">Create a clone of this object with the given extent.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>extent</code> - the new extent</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new instance</dd>
</dl>
</li>
</ul>
<a name="getYaw--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getYaw</h4>
<pre>public&nbsp;float&nbsp;getYaw()</pre>
<div class="block">Get the yaw in degrees.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the yaw in degrees</dd>
</dl>
</li>
</ul>
<a name="setYaw-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setYaw</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;setYaw(float&nbsp;yaw)</pre>
<div class="block">Create a clone of this object with the given yaw.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>yaw</code> - the new yaw</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new instance</dd>
</dl>
</li>
</ul>
<a name="getPitch--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPitch</h4>
<pre>public&nbsp;float&nbsp;getPitch()</pre>
<div class="block">Get the pitch in degrees.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the pitch in degrees</dd>
</dl>
</li>
</ul>
<a name="setPitch-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPitch</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;setPitch(float&nbsp;pitch)</pre>
<div class="block">Create a clone of this object with the given pitch.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pitch</code> - the new yaw</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new instance</dd>
</dl>
</li>
</ul>
<a name="setDirection-float-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDirection</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;setDirection(float&nbsp;yaw,
                             float&nbsp;pitch)</pre>
<div class="block">Create a clone of this object with the given yaw and pitch.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>yaw</code> - the new yaw</dd>
<dd><code>pitch</code> - the new pitch</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new instance</dd>
</dl>
</li>
</ul>
<a name="getDirection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDirection</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;getDirection()</pre>
<div class="block">Get the direction vector.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the direction vector</dd>
</dl>
</li>
</ul>
<a name="getDirectionEnum--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDirectionEnum</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a>&nbsp;getDirectionEnum()</pre>
<div class="block">Get the direction as a <a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util"><code>Direction</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The direction</dd>
</dl>
</li>
</ul>
<a name="setDirection-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDirection</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;setDirection(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;direction)</pre>
<div class="block">Create a clone of this object with the given direction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>direction</code> - the new direction</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new instance</dd>
</dl>
</li>
</ul>
<a name="toVector--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toVector</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;toVector()</pre>
<div class="block">Get a <a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math"><code>Vector3</code></a> form of this location's position.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a vector</dd>
</dl>
</li>
</ul>
<a name="getX--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getX</h4>
<pre>public&nbsp;double&nbsp;getX()</pre>
<div class="block">Get the X component of the position vector.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the X component</dd>
</dl>
</li>
</ul>
<a name="getBlockX--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockX</h4>
<pre>public&nbsp;int&nbsp;getBlockX()</pre>
<div class="block">Get the rounded X component of the position vector.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the rounded X component</dd>
</dl>
</li>
</ul>
<a name="setX-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setX</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;setX(double&nbsp;x)</pre>
<div class="block">Return a copy of this object with the X component of the new object
 set to the given value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the new value for the X component</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new immutable instance</dd>
</dl>
</li>
</ul>
<a name="getY--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getY</h4>
<pre>public&nbsp;double&nbsp;getY()</pre>
<div class="block">Get the Y component of the position vector.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Y component</dd>
</dl>
</li>
</ul>
<a name="getBlockY--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockY</h4>
<pre>public&nbsp;int&nbsp;getBlockY()</pre>
<div class="block">Get the rounded Y component of the position vector.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the rounded Y component</dd>
</dl>
</li>
</ul>
<a name="setY-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setY</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;setY(double&nbsp;y)</pre>
<div class="block">Return a copy of this object with the Y component of the new object
 set to the given value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>y</code> - the new value for the Y component</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new immutable instance</dd>
</dl>
</li>
</ul>
<a name="getZ--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getZ</h4>
<pre>public&nbsp;double&nbsp;getZ()</pre>
<div class="block">Get the Z component of the position vector.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Z component</dd>
</dl>
</li>
</ul>
<a name="getBlockZ--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockZ</h4>
<pre>public&nbsp;int&nbsp;getBlockZ()</pre>
<div class="block">Get the rounded Z component of the position vector.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the rounded Z component</dd>
</dl>
</li>
</ul>
<a name="setZ-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setZ</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;setZ(double&nbsp;z)</pre>
<div class="block">Return a copy of this object with the Z component of the new object
 set to the given value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>z</code> - the new value for the Y component</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new immutable instance</dd>
</dl>
</li>
</ul>
<a name="setPosition-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPosition</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;setPosition(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;position)</pre>
<div class="block">Return a copy of this object with the position set to the given value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>position</code> - The new position</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new immutable instance</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/util/LocatedBlock.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/util/PropertiesConfiguration.html" title="class in com.sk89q.worldedit.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/util/Location.html" target="_top">Frames</a></li>
<li><a href="Location.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
